ETSI STF525 / Internal Testing test suite This project provides an internal testing test suite and its associated Test Adapter/Codec

Classes | Public Member Functions | Private Types | Private Attributes | Static Private Attributes | List of all members
commsignia_layer Class Reference

Forward declaration of TITAN class. More...

`#include <commsignia_layer.hh>`

Inheritance diagram for commsignia_layer:

## Classes
struct | __attribute__

## Public Member Functions
| commsignia_layer (const std::string &p_type, const std::string &param)
| Used to optimize filtering on ethernet type in. More...
virtual | ~commsignia_layer ()
| Default destructor. More...
virtual void | send_data (OCTETSTRING &data, Params &params)
| Send bytes formated data to the lower layers. More...
virtual void | receive_data (OCTETSTRING &data, Params &info)
| Receive bytes formated data from the lower layers. More...
Public Member Functions inherited from layer
| layer ()
| Type description, it indicates the protocol type (e.g. CAM, DENM, GN, ETH, PCAP...) More...
| layer (const std::string &p_type)
| Specialized constructor Create a new instance of the layer class with its type description. More...
virtual | ~layer ()
| Default destructor. More...
void | delete_layer ()
| Delete this layer. More...
void | add_upper_layer (layer *p_layer)
| Add a new layer in the list of the upper layer. More...
void | remove_upper_layer (layer *p_layer)
| Remove the specified upper layer protocol from the list of the upper layer. More...
const std::string & | to_string () const
| Remove the specified upper layer protocol from the list of the upper layer. More...

## Private Types
typedef unsigned short | c2p_qos_ctrl

## Private Attributes
Params | _params
c2p_recv | _c2p_recv
| Layer parameters. More...
c2p_802_11p_hdr | _802_11p_hdr
c2p_llc_hdr | _c2p_llc_hdr
std::vector< unsigned char > | _mac_src
std::vector< unsigned char > | _eth_type
| Used to optimize filtering on source mac address in. More...

## Static Private Attributes
static constexpr unsigned char | LL_ADDR_LENGTH = 6
static constexpr unsigned char | LL_ORG_CODE_LENGTH = 3

## Additional Inherited Members
Protected Member Functions inherited from layer
void | to_all_layers (std::vector< layer *> &layers, OCTETSTRING &data, Params &params)
void | receive_to_all_layers (OCTETSTRING &data, Params &params)
void | send_to_all_layers (OCTETSTRING &data, Params &params)
Protected Attributes inherited from layer
std::string | type
| List of the lower protocol layers. More...

## Detailed Description

Forward declaration of TITAN class.

This class provides description of ITS Commsignia port protocol layer

## Member Typedef Documentation

## ◆ c2p_qos_ctrl

typedef unsigned short commsignia_layer::c2p_qos_ctrl
| private

## Constructor & Destructor Documentation

## ◆ commsignia_layer()

commsignia_layer::commsignia_layer | ( | const std::string & | p_type,
|  | const std::string & | param
| ) |  |

Used to optimize filtering on ethernet type in.

See also
  commsignia_layer::receive_data method

Specialised constructor Create a new instance of the commsignia_layer class

Parameters

  [in] | p_type |

## ◆ ~commsignia_layer()

virtual commsignia_layer::~commsignia_layer | ( |  | ) |
| inline virtual

Default destructor.

Remarks
  If

See also
  _reconnect_on_send is set to false, the disconnection is done by the destructor

## Member Function Documentation

## ◆ receive_data()

void commsignia_layer::receive_data | ( | OCTETSTRING & | data,
|  | Params & | params
| ) |  |
| virtual

Receive bytes formated data from the lower layers.

Parameters

  [in] | p_data | The bytes formated data received
  [in] | p_params | Some lower layers parameters values when data was received

Todo:
  Remove the logs

Reimplemented from layer.

## ◆ send_data()

void commsignia_layer::send_data | ( | OCTETSTRING & | data,
|  | Params & | params
| ) |  |
| virtual

Send bytes formated data to the lower layers.

Parameters

  [in] | p_data | The data to be sent
  [in] | p_params | Some parameters to overwrite default value of the lower layers parameters

Todo:
  Remove the logs

Reimplemented from layer.

## Member Data Documentation

## ◆ _802_11p_hdr

c2p_802_11p_hdr commsignia_layer::_802_11p_hdr
| private

Todo:

## ◆ _c2p_llc_hdr

c2p_llc_hdr commsignia_layer::_c2p_llc_hdr
| private

Todo:

## ◆ _c2p_recv

c2p_recv commsignia_layer::_c2p_recv
| private

Layer parameters.

## ◆ _eth_type

std::vector<unsigned char> commsignia_layer::_eth_type
| private

Used to optimize filtering on source mac address in.

See also
  commsignia_layer::receive_data method

## ◆ _mac_src

std::vector<unsigned char> commsignia_layer::_mac_src
| private

Todo:

## ◆ _params

Params commsignia_layer::_params
| private

## ◆ LL_ADDR_LENGTH

constexpr unsigned char commsignia_layer::LL_ADDR_LENGTH = 6
| static private

## ◆ LL_ORG_CODE_LENGTH

constexpr unsigned char commsignia_layer::LL_ORG_CODE_LENGTH = 3
| static private

The documentation for this class was generated from the following files:

- /home/vagrant/TriesAndDelete/etsi_its/framework/include/commsignia_layer.hh
- /home/vagrant/TriesAndDelete/etsi_its/framework/src/commsignia_layer.cc